Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.util
Class Util

    java.lang.Object
      org.richfaces.util.Util

    public final class Util

extends Object

Since:
  4.0
Author:
  Nick Belaevski

Nested Class Summary
`static class` | `Util.NamingContainerDataHolder`

Method Summary
`static void` | `copyStreamContent(InputStream is, OutputStream os)`
`static byte[]` | `decodeBytesData(String encodedData)`
`static Object` | `decodeObjectData(String encodedData)`
`static String` | `decodeResourceURL(javax.faces.context.FacesContext context)`
`protected static byte[]` | `decrypt(byte[] src)`
`static String` | `encodeBytesData(byte[] data)`
`static String` | `encodeJSFURL(javax.faces.context.FacesContext context, String url)`
`static String` | `encodeObjectData(Object data)`
`static String` | `encodeURIQueryPart(String s)`
`protected static byte[]` | `encrypt(byte[] src)`
`static String` | `formatHttpDate(Object object)`
`static Charset` | `getCharsetFromContentType(String contentType)`
`static String` | `getMappingForRequest(javax.faces.context.FacesContext context)`
`static Date` | `parseHttpDate(String s)`
`static Map<String,String>` | `parseResourceParameters(String resourceName)`
`static void` | `restoreResourceState(javax.faces.context.FacesContext context, Object resource, Object state)`
`static Object` | `saveResourceState(javax.faces.context.FacesContext context, Object resource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMappingForRequest

    public static String getMappingForRequest(javax.faces.context.FacesContext context)

### parseHttpDate

    public static Date parseHttpDate(String s)

### formatHttpDate

    public static String formatHttpDate(Object object)

### encrypt

    protected static byte[] encrypt(byte[] src)

### decrypt

    protected static byte[] decrypt(byte[] src)

### decodeBytesData

    public static byte[] decodeBytesData(String encodedData)

### decodeObjectData

    public static Object decodeObjectData(String encodedData)

### encodeBytesData

    public static String encodeBytesData(byte[] data)

### encodeObjectData

    public static String encodeObjectData(Object data)

### encodeJSFURL

    public static String encodeJSFURL(javax.faces.context.FacesContext context,
                                      String url)

### parseResourceParameters

    public static Map<String,String> parseResourceParameters(String resourceName)

### decodeResourceURL

    public static String decodeResourceURL(javax.faces.context.FacesContext context)

### copyStreamContent

    public static void copyStreamContent(InputStream is,
                                         OutputStream os)
                                  throws IOException

  Throws:
    `IOException`

### encodeURIQueryPart

    public static String encodeURIQueryPart(String s)

### saveResourceState

    public static Object saveResourceState(javax.faces.context.FacesContext context,
                                           Object resource)

### restoreResourceState

    public static void restoreResourceState(javax.faces.context.FacesContext context,
                                            Object resource,
                                            Object state)

### getCharsetFromContentType

    public static Charset getCharsetFromContentType(String contentType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.